<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


include("../conf/preferences.php");
session_name(SYS_APP_SESSNAME);
session_start();
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/MAIN.php");
include("../conf/connections.php");
require_once("../phplib/utils.php");
require_once("../core/plugins.php");

$resId=$_REQUEST['resId'];
$action=isset($_REQUEST['action']) ? $_REQUEST['action'] : 'update';
$master=simplexml_load_file("../conf/resources/".$langs[$_SESSION['userlang']][0]."/".$_SESSION['conf'][$resId]->masterview);
$detail=simplexml_load_file("../conf/forms/".$langs[$_SESSION['userlang']][0]."/".$_SESSION['conf'][$resId]->detailview);

$validation=new Validation($detail);
$process=new UserProcessing();

function fileExists($image,$dir) {
   $i=1; $probeer=$image;
	while(file_exists("../../".$dir.$probeer)) {		
       $punt=strrpos($image,".");
       if(substr($image,($punt-3),1)!==("[") && substr($image,($punt-1),1)!==("]")) {
           $probeer=substr($image,0,$punt)."[".$i."]".
           substr($image,($punt),strlen($image)-$punt);
       } else {
           $probeer=substr($image,0,($punt-3))."[".$i."]".
           substr($image,($punt),strlen($image)-$punt);
       }
       $i++;
   }
   return $probeer;
}

$nombre='';								
$nombrefinal='';						
$errores='';							

$control=isset($_GET['control'])? $_GET['control'] : "imagen";

$tempnodo=$detail->xpath("//control[@name='".$control."']");
$nodo=$tempnodo[0];

$destinofinal=SYS_BASE_PATH . SYS_BASE_UPLOAD . $nodo->uploaddir . "/";







if((string)$nodo->autorename=="true"){
	$tmp=fileExists(basename($_POST['url']),$destinofinal);
}else{
	$tmp=basename($_POST['url']);
}
$tmp=mb_convert_case($tmp, MB_CASE_LOWER, "UTF-8");
$tmp=str_replace(" ","_",$tmp);

$url = $_POST['url'];
$ch = curl_init ($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$result = curl_exec($ch);
if($result===FALSE) $errores.="- " . curl_error($ch) . "<br />";
curl_close ($ch);

if(filesize($url)>(float)$_GET['maxSize']*1024){
	$errores.="- " . FILECTRL_TOOBIG . "<br />";
}else{

}



$resultado=NULL;
if($errores==''){
	$nombre=$tmp;
	$nombrefinal=session_id()."_".$nombre;
	
	$_SESSION['uploads'][$resId][$control]=$destinofinal.$nombre;
	
	$uploaddir = "../../" . SYS_TEMP_UPLOADS;
	$uploadfile = $uploaddir . utf8_decode($nombrefinal);
	
	$fp = fopen($uploadfile,'x');
	fwrite($fp, $result);
	fclose($fp);
	chmod($uploadfile,0777);
	
	$resultado->result="ok";
	$resultado->filename=$nombre;
}else{
	$resultado->result="ko";
	$resultado->msg=$errores;
}
echo json_encode($resultado);
?>